System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.CodeAccessPermission System.Security.Permissions.IUnrestrictedPermission To be added

Controls access to printers. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class with the level of printing access specified.

  One of the values.
  1.0.5000.0
  2.0.0.0
- Constructor

  This constructor creates either the fully restricted (None) or the Unrestricted form of the permission.

  Initializes a new instance of the class with either fully restricted or unrestricted access, as specified.

  One of the values.
  1.0.5000.0
  2.0.0.0
- Method
  System.Security.IPermission

  A copy of the permission object represents the same access to resources as the original permission object.

  Creates and returns an identical copy of the current permission object.

  A copy of the current permission object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Reconstructs a security object with a specified state from an XML encoding.

  None.

  The XML encoding to use to reconstruct the security object. 1.0.5000.0 2.0.0.0
- Method
  System.Security.IPermission ``

  The intersection of two permissions is a permission that describes the set of operations they both hold in common. Specifically, it represents the minimum permissions required for a demand to pass both permissions.

  Creates and returns a permission that is the intersection of the current permission object and a target permission object.

  A new permission object that represents the intersection of the current object and the specified target. This object is null if the intersection is empty.

  A permission object of the same type as the current permission object. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Determines whether the current permission object is a subset of the specified permission.

  true if the current permission object is a subset of ; otherwise, false.

  A permission object that is to be tested for the subset relationship. This object must be of the same type as the current permission object. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean

  An unrestricted permission object represents access to any and all resources protected by the permission.

  Gets a value indicating whether the permission is unrestricted.

  true if permission is unrestricted; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Printing.PrintingPermissionLevel To be added: an object of type 'PrintingPermissionLevel' To be added

  Gets or sets the code's level of printing access.

  1.0.5000.0
  2.0.0.0
- Method
  System.Security.SecurityElement To be added

  Creates an XML encoding of the security object and its current state.

  An XML encoding of the security object, including any state information.

  1.0.5000.0
  2.0.0.0
- Method
  System.Security.IPermission ``

  The result of a call to is a permission that represents all the operations represented by the current permission object, and all the operations represented by the specified permission object.

  Creates a permission that combines the permission object and the target permission object.

  A new permission object that represents the union of the current permission object and the specified permission object.

  A permission object of the same type as the current permission object. 1.0.5000.0 2.0.0.0